class AreaDataTableGroupMembership < ActiveRecord::Base
  belongs_to :area_data_table_group, :inverse_of => :area_data_table_group_memberships

  # the inverse relationship on area_data_table is a has_and_belongs_to_many. If and when that gets changed to a :has_many :through
  # then this should get an :inverse_of as well.
  belongs_to :area_data_table
end
