require 'nhgis_database'
module Nhgis
  class Geotime < NhgisActiveRecord::Base

    belongs_to :geog_level
    belongs_to :time_instance
    has_many :data_groups
    has_many :shape_files

    def root
      root_geog_level = self.geog_level.root
      Geotime.find_by_geog_level_id_and_time_instance_id(root_geog_level, self.time_instance)
    end

    def geog_unit
      geog_level.geog_unit
    end

  end
  
end