class VariableGroup < ActiveRecord::Base

  has_many :variables
  has_many :children, class_name: "VariableGroup", foreign_key: "parent_id"

  belongs_to :parent, class_name: "VariableGroup", foreign_key: "parent_id"


  def rectype_long
    rectype == 'H' ? 'HOUSEHOLD' : 'PERSON'
  end


end
