class CreateBoundaries < ActiveRecord::Migration
  def change
    create_table :boundaries do |t|
      t.column      :map_id,            :bigint
      t.column      :geog_instance_id,  :bigint
      t.column      :description,       :string, :length => 256
      t.column      :geog,              :geography
      t.timestamps
    end

    foreign_key(:boundaries, :map_id)

  end
end
