class CreateCategories < ActiveRecord::Migration
  def change
    create_table :categories do |t|
      t.column      :variable_id,     :bigint
      t.column      :metadata_id,     :integer
      t.column      :code,            :string
      t.column      :label,           :string, :limit => 1024
      t.column      :general_label,   :string
      t.column      :syntax_label,    :string
      t.column      :indent,          :integer
      t.column      :general_indent,  :integer
      t.column      :informational,   :boolean
      t.timestamps
    end
   
    foreign_key(:categories, :variable_id)
    add_index :categories, :variable_id
    
  end
end
