class CreateFrequencies < ActiveRecord::Migration
  def change
    create_table :frequencies do |t|
      t.column      :category_id,   :bigint
      t.column      :sample_id,     :bigint
      t.column      :frequency,     :integer
      t.column      :variable_id,   :bigint
      t.column      :code,          :string, :limit => 50
      t.timestamps
    end
    
    # foreign_key(:frequencies, :category_id) # Feb 9, 2013; ccd states this column is not used in a foreign-key-way; removing constraint
    foreign_key(:frequencies, :sample_id)
    foreign_key(:frequencies, :variable_id)
  end
end
