class CreateRasterVariableGroupMemberships < ActiveRecord::Migration
  
  def change
    create_table :raster_variable_group_memberships, :id => false do |t|
      t.column  :raster_variable_id,       :bigint, :null => false
      t.column  :raster_group_id,          :bigint, :null => false
    end
    foreign_key(:raster_variable_group_memberships, :raster_variable_id)
    foreign_key(:raster_variable_group_memberships, :raster_group_id)
 
  end
end
