class CreateRasters < ActiveRecord::Migration
  def change
    
    unless table_exist? :rasters
      
      create_table :rasters do |t|
        t.column      :name,                :string
        t.column      :raster_variable_id,  :bigint
        t.column      :rid,                 :int
        t.column      :rast,                :raster
        t.column      :filename,            :string
        t.timestamps
      end
      
    end
    
    #foreign_key(:rasters, :raster_variable_id)
    
    foreign_key_if_not_exists(:rasters, :raster_variable_id)
    
  end
end
