class CreateExtractRequestsLabelsJoinTable < ActiveRecord::Migration
  def up

    create_table :extract_requests_labels, :id => false do |t|
      t.column      :extract_request_id, :bigint
      t.column      :label_id,           :bigint
      t.column      :user_id,            :bigint
      t.column      :visible,            :boolean, :default => true, :null => false
    end

    foreign_key(:extract_requests_labels, :extract_request_id)
    foreign_key_raw(:extract_requests_labels, :label_id, :tags, :id)
    foreign_key(:extract_requests_labels, :user_id)

  end

  def down
    drop table :extract_requests_labels
  end
end
