class CreateRequestVariable < ActiveRecord::Migration
   def  change
    create_table :request_variables do |t|
      t.column :variable_id,          :bigint, :null=>false
      t.column :extract_request_id,   :bigint, :null=>false      
      t.timestamps
      
    end

    foreign_key(:request_variables, :variable_id)
    foreign_key(:request_variables, :extract_request_id)

    add_index :request_variables,:extract_request_id
    add_index :request_variables,:variable_id
  end
end
