class CreateRasterMetadata < ActiveRecord::Migration
  def change
    create_table :raster_metadata do |t|
      t.column   :original_metadata,     :text
      t.column   :raster_variable_id,    :bigint
      t.timestamps
    end

    foreign_key(:raster_metadata, :raster_variable_id)
    add_index :raster_metadata, :raster_variable_id

  end
end
