class CreateRasterCategories < ActiveRecord::Migration
  def change
    
    create_table :raster_categories do |t|
      t.column      :raster_variable_id,  :bigint
      t.column      :code,                :bigint,    :null => false
      t.column      :label,               :text
      t.timestamps
    end
    
    foreign_key :raster_categories, :raster_variable_id
    
  end
end
