class CreateCountryComparabilities < ActiveRecord::Migration
  def change
    create_table :country_comparabilities do |t|
      t.column          :variable_id,  :bigint
      t.column          :country_id,   :bigint
      t.column          :comparability, :text
      t.timestamps
    end
    
    foreign_key :country_comparabilities, :variable_id
    foreign_key :country_comparabilities, :country_id
    
  end
end
