class AddVisibleAndMapToColumnsToRasterOperations < ActiveRecord::Migration
  def change
    
    add_column :raster_operations, :visible, :bool, :default => true
    add_column :raster_operations, :parent_id,  :bigint
    
    foreign_key_raw(:raster_operations, :parent_id, :raster_operations, :id)
    
    add_index :raster_operations, :parent_id
    
    
  end
end
