class CreateSampleDesigns < ActiveRecord::Migration
  def change
    create_table :sample_designs do |t|
      t.string  :filename,    :limit => 1024
      t.text    :document,    :null  => false
      t.column  :country_id,  :bigint, :null => false
      t.timestamps
    end
    
    add_index :sample_designs, :country_id
    foreign_key :sample_designs, :country_id
    
  end
end
