class CreateExtractRequestErrorEvents < ActiveRecord::Migration
  def change
    
    create_table :extract_request_error_events do |t|
      t.column    :extract_request_id, :bigint
      t.column    :error_event_id, :bigint
      t.timestamps
    end
    
    foreign_key :extract_request_error_events, :extract_request_id
    foreign_key :extract_request_error_events, :error_event_id
    
  end
end
