class CreateSystemStatistics < ActiveRecord::Migration
  def change
    create_table :system_statistics do |t|
      t.column      :key,  :string, limit: 64, null: false, unique: true
      t.column      :value, :decimal, precision: 64, scale: 10
      t.timestamps
    end

    add_index :system_statistics, :key, unique: true

  end
end