class CreateRasterDatasetRasterVariables < ActiveRecord::Migration
  def change
    
    create_table :raster_dataset_raster_variables do |t|
      t.column     :raster_variable_id,  :bigint, null: false
      t.column     :raster_dataset_id,   :bigint, null: false
      t.timestamps
    end
    
    add_index :raster_dataset_raster_variables, :raster_variable_id
    add_index :raster_dataset_raster_variables, :raster_dataset_id
    
    foreign_key :raster_dataset_raster_variables, :raster_variable_id
    foreign_key :raster_dataset_raster_variables, :raster_dataset_id
    
  end
end
