class CreateRasterRasterVariables < ActiveRecord::Migration
  def change
    create_table :raster_raster_variables do |t|
      t.column    :raster_id,  :bigint, null: false
      t.column    :raster_variable_id, :bigint, null: false
      t.timestamps
    end
    
    add_index :raster_raster_variables, :raster_id
    add_index :raster_raster_variables, :raster_variable_id
    
    foreign_key :raster_raster_variables, :raster_id
    foreign_key :raster_raster_variables, :raster_variable_id
    
  end
end
