class AddOtherRasterVariablesToRasterVariableClassification < ActiveRecord::Migration
  def change
    add_column :raster_variable_classifications, :mosaic_raster_variable_id, :bigint
    
    add_index :raster_variable_classifications, :mosaic_raster_variable_id, name: :rvc_mosaic_raster_variable_id
    foreign_key_raw :raster_variable_classifications, :mosaic_raster_variable_id, :raster_variables, :id
    
  end
end
