class NewRastersTable < ActiveRecord::Migration
  def change
    create_table :rasters_new do |t|
      t.column    :raster_variable_id, :bigint
      t.column    :table_name, :text
      t.column    :area_reference_id,  :bigint
      t.column    :second_area_reference_id, :bigint
      t.column    :r_table_schema, :text
      t.timestamps
    end

    add_index :rasters_new, :raster_variable_id
    add_index :rasters_new, :area_reference_id
    add_index :rasters_new, :second_area_reference_id

    foreign_key :rasters_new, :raster_variable_id
  end
end
