class CreateDataArtifacts < ActiveRecord::Migration
  def change
    
    create_table :extract_data_artifacts do |t|
      t.column    :extract_request_id, :bigint
      t.text      :data_filename
      t.text      :boundary_filename
      t.text      :data_year
      t.text      :geographic_level
      t.timestamps
    end
    
    add_index :extract_data_artifacts, :extract_request_id
    foreign_key :extract_data_artifacts, :extract_request_id
    
  end
end
