class CreateExtractRequestAreaDataRasterVariableMnemonicLookups < ActiveRecord::Migration
  def change
    create_table :extract_request_area_data_raster_variable_mnemonic_lookups do |t|
      t.column    :area_data_raster_variable_mnemonic_lookup_id, :bigint
      t.column    :extract_request_id, :bigint
      t.timestamps
    end
    
    add_index :extract_request_area_data_raster_variable_mnemonic_lookups, :area_data_raster_variable_mnemonic_lookup_id, {name: :er_adrv_mnemonic_lookup_index}
    add_index :extract_request_area_data_raster_variable_mnemonic_lookups, :extract_request_id, {name: :er_adrv}
    
    foreign_key :extract_request_area_data_raster_variable_mnemonic_lookups, :area_data_raster_variable_mnemonic_lookup_id
    foreign_key :extract_request_area_data_raster_variable_mnemonic_lookups, :extract_request_id
    
  end
end
