class Link < ActiveRecord::Base

  def self.hash
    @@memo ||= make_hash
  end


  def self.make_hash
    hash = {}
    self.all.each do |link|
      hash[link.name] = link.location
    end
    hash
  end


  def self.clear_cached
    @@memo = nil
  end

end