require 'nhgis_database'
module Nhgis
  class GeogLevel < NhgisActiveRecord::Base

    has_many :geotimes
    belongs_to :geog_unit
  
    has_many :geog_var_geog_levels
    has_many :geog_vars,:through=>:geog_var_geog_levels

    scope :nation_state_county, -> {where(["label IN ('county', 'state', 'nation')"])}
    
  end
end