class RasterOperation < ActiveRecord::Base

  belongs_to :raster_data_type

  belongs_to :parent, :class_name => "RasterOperation", :foreign_key => "parent_id"
  has_many :children, :class_name => "RasterOperation", :foreign_key => "parent_id"

  alias_attribute :data_type_id, :raster_data_type_id

end
