class CreateAreaDataTables < ActiveRecord::Migration
  def change
    create_table :area_data_tables do |t|
      t.column      :label,               :string
      t.column      :code,                :string, :limit => 10
      t.column      :documentation,       :text
      t.column      :universe,            :text
      t.column      :aggregation_method,  :string
      t.column      :additivity,          :string
      t.column      :hidden,              :boolean
      t.timestamps
    end
  end
end
