class CreateVariableGroups < ActiveRecord::Migration
  def change
    
    create_table :variable_groups do |t|
      t.column    :name,      :string
      t.column    :abbrev,    :string
      t.column    :rectype,   :string
      t.column    :parent_id, :bigint
      t.column    :order,     :bigint
      t.timestamps
    end
    
    foreign_key_raw(:variable_groups, :parent_id, :variable_groups, :id)
    
    add_index :variable_groups, :parent_id
        
  end
end
