class AreaDataVariableTopics < ActiveRecord::Migration
  def up
    
    create_table :area_data_variables_topics, :id => false do |t|
      t.column  :area_data_variable_id, :bigint, :null => false
      t.column  :topic_id, :bigint, :null => false
    end
    
    add_index :area_data_variables_topics, :area_data_variable_id
    add_index :area_data_variables_topics, :topic_id
    
    foreign_key :area_data_variables_topics, :area_data_variable_id
    foreign_key :area_data_variables_topics, :topic_id
    
  end

  def down
    
    drop_table :area_data_variables_topics, :id => false
    
  end
end
