class CreateSampleLevelAreaDataVariables < ActiveRecord::Migration
  def change
    
    create_table :sample_level_area_data_variables do |t|
      t.column      :area_data_variable_id, :bigint
      t.column      :terrapop_sample_id,    :bigint
      t.column      :sample_geog_level_id,  :bigint
      t.timestamps
    end
    
    foreign_key(:sample_level_area_data_variables, :area_data_variable_id)
    foreign_key(:sample_level_area_data_variables, :terrapop_sample_id)
    foreign_key(:sample_level_area_data_variables, :sample_geog_level_id)

  end
end
