class CreateRequestAreaDataVariables < ActiveRecord::Migration

  def change
  
    create_table :request_area_data_variables do |t|
      t.column :area_data_variable_id,   :bigint, :null=>false
      t.column :extract_request_id,      :bigint, :null=>false
      t.timestamps  
    end # create table
  
    foreign_key(:request_area_data_variables, :extract_request_id)

    add_index :request_area_data_variables, :area_data_variable_id
    add_index :request_area_data_variables, :extract_request_id
  
  end # change
  
end
