class CreateRequestRasterDatasets < ActiveRecord::Migration
  def change
    create_table :request_raster_datasets do |t|
      t.column :raster_dataset_id,  :bigint, :null => false
      t.column :extract_request_id, :bigint, :null => false
      t.timestamps
    end
    
    foreign_key(:request_raster_datasets, :raster_dataset_id)
    foreign_key(:request_raster_datasets, :extract_request_id)
    
  end
end
