class CreateAreaDataVariableConstructions < ActiveRecord::Migration
  
  def change
    create_table :area_data_variable_constructions do |t|
      t.column    :variable_id,           :bigint,  :null => false
      t.column    :area_data_variable_id, :bigint,  :null => false
      t.timestamps
    end
    
    foreign_key :area_data_variable_constructions, :variable_id
    foreign_key :area_data_variable_constructions, :area_data_variable_id
    
    add_index :area_data_variable_constructions, :variable_id
    add_index :area_data_variable_constructions, :area_data_variable_id
    
  end
end
