class AlterAreaDataRasterIndexes < ActiveRecord::Migration
  def change
    remove_index  :area_data_rasters, name: :area_data_rasters_uniq_index
    
    add_column :area_data_rasters, :geog_instance_id, :bigint
    
    add_index :area_data_rasters, [:sample_geog_level_id, :raster_variable_id, :area_data_variable_id, :geog_instance_id, :raster_size], unique: true, name: :area_data_rasters_uniq_index
    
    foreign_key :area_data_rasters, :geog_instance_id
    
  end
end
