class AddIndexesToBoundaries < ActiveRecord::Migration
  def change
    
    execute("DROP INDEX IF EXISTS boundaries_geog_gist_idx")
    execute("DROP INDEX IF EXISTS boundaries_geom_gist_idx")
    execute("CREATE INDEX boundaries_geog_gist_idx ON boundaries USING gist(geog)")
    execute("CREATE INDEX boundaries_geom_gist_idx ON boundaries USING gist(geom)")
    
  end
end
