class RenameRastersNewToNewRasters < ActiveRecord::Migration
  def change

    create_table :new_rasters do |t|
      t.column    :raster_variable_id, :bigint
      t.column    :table_name, :text
      t.column    :area_reference_id,  :bigint
      t.column    :second_area_reference_id, :bigint
      t.column    :r_table_schema, :text
      t.timestamps
    end

    add_index :new_rasters, :raster_variable_id
    add_index :new_rasters, :area_reference_id
    add_index :new_rasters, :second_area_reference_id

    foreign_key :new_rasters, :raster_variable_id
  end
end
