class CreateSampleDetailValues < ActiveRecord::Migration
  def change
    create_table :sample_detail_values do |t|
      t.integer :sample_id
      t.integer :sample_detail_field_id
      t.text :value
      t.timestamps

      t.index [:sample_id, :sample_detail_field_id], unique: true, name: 'idx_sample_field'
    end
  end
end
